Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I have a VPS currently running ETCH, but some nice apps like dropbox or similar i cannot install and i want to change OS. Apperently i can't get Debian > 4.0. So the question is can i make any improvements by changing to CentOS 5.3.

I have no experince with centos or similar only Debian.

share|improve this question

migrated from stackoverflow.com Nov 21 '10 at 1:01

This question came from our site for professional and enthusiast programmers.

    
From the internet: forums.debian.net/viewtopic.php?t=34529 –  sharth Nov 20 '10 at 22:17
    
Why can't you upgrade? Even if your provider doesn't support Lenny or Squeeze, do they forbid you to just change /etc/apt/sources.list and then type "aptitude dist-upgrade" at the command line? –  CarlF Jun 3 '11 at 17:13
add comment

2 Answers

up vote 0 down vote accepted

You should upgrade to Ubuntu 10.04 or 10.10. These are basically Debian with everything cleaned up and made easier.

CentOS uses very old packages in my experience.

I highly recommend using Amazon Web Services, which is free right now! AMI id numbers are easiest to get at Alestic.com.

share|improve this answer
    
How is an Ubuntu server installation easier and cleaner than Debian? –  Tshepang Feb 10 '11 at 18:14
    
Ubuntu is more Debian adjusted to one particular group's preferences. In my limited experience is it no more stable and in many cases actually harder to use, though it is probably more familiar for new Linux users-at the desktop level. Debian is IMO more suitable for servers. –  CarlF Jun 3 '11 at 17:12
    
The Ubuntu userbase on AWS is much larger than Debian's - that's the biggest issue for me. In terms of stability, they should be effectively the same since most of the packages and the kernel are about the same. –  Adam Nelson Jun 8 '11 at 20:36
add comment

It appears CentOS 5.x will be supported until 2014, while Debian Etch support ended early 2010. So rather go learn CentOS, unless system security isn't an issue for you, or the provider is actively taking care of it. What is curious though is why are they allowing only Etch, when there already are two other Debian releases, Lenny and Squeeze.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.